/*
  ==============================================================================

    This file contains the basic framework code for a JUCE plugin editor.

  ==============================================================================
*/

#pragma once

#include <JuceHeader.h>
#include "PluginProcessor.h"

//==============================================================================
/**
*/
class TestHiDPIAudioProcessorEditor  : public juce::AudioProcessorEditor
{
public:
    TestHiDPIAudioProcessorEditor (TestHiDPIAudioProcessor&);
    ~TestHiDPIAudioProcessorEditor() override;

    //==============================================================================
    void paint (juce::Graphics&) override;
    void resized() override;

	virtual void mouseDown ( const juce::MouseEvent& event ) override;
	virtual void mouseWheelMove ( const juce::MouseEvent& event, const juce::MouseWheelDetails& wheel ) override;

	virtual void setScaleFactor ( float newScale ) override;

	float m_lastSetScaleFactor = -999.0f;

	std::vector<juce::Point<float>> m_mouseDowns;
	std::vector<juce::Point<float>> m_mouseWheels;

private:
    // This reference is provided as a quick way for your editor to
    // access the processor object that created it.
    TestHiDPIAudioProcessor& audioProcessor;

    JUCE_DECLARE_NON_COPYABLE_WITH_LEAK_DETECTOR (TestHiDPIAudioProcessorEditor)
};
